%define ver 1.4.2

Summary:	A Quality Tetrahedral Mesh Generator & 3D Delaunay Triangulator
Name:		tetgen
Version:	%{ver}
Release:	1
License:	Modified MIT license
Group:		Applications/Library
Source:		tetgen%{ver}.tar.bz2
Source1:	tetgen-manual.pdf
URL:		http://tetgen.berlios.de/index.html
BuildRoot:	/var/tmp/%{name}-%{version}-%(id -u -n)
BuildArch:	i386
Prefix:		/usr

%description
TetGen generates exact Delaunay tetrahedralizations, exact constrained
Delaunay tetrahedralizations, and quality tetrahedral meshes. The
latter are quality conforming Delaunay and nicely graded if no input
angle is smaller than 60 degree.

%prep
%setup -q -n tetgen%{ver}

%build
# Note: program may hang with optimization flags (-O, -O2, etc.)
#make CFLAGS="-g -O2"
make
strip tetgen

%install
mkdir -p $RPM_BUILD_ROOT/%{prefix}/{bin,share/doc/tetgen}
cp -pf tetgen $RPM_BUILD_ROOT/%{prefix}/bin/.
cp -pf README LICENSE example.poly $RPM_BUILD_ROOT/%{prefix}/share/doc/tetgen/.
cp -pf $RPM_SOURCE_DIR/tetgen-manual.pdf \
	$RPM_BUILD_ROOT/%{prefix}/share/doc/tetgen/manual.pdf

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%{prefix}/bin/tetgen
%{prefix}/share/doc/tetgen/*

%changelog
